Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZPriceGroup Class Reference

## Public Member Functions
| __construct ( $id=false)
| get ( $id=false)
| store ()
| delete ( $id=false)
| fill ( $array)
& | userGroups ( $id=false, $as_object=true)
| addUserGroup ( $group_id, $id=false)
| removeUserGroups ( $id=false)
| addPrice ( $productid, $priceid, $price, $optionid=0, $valueid=0)
| id ()
| name ()
| description ()
| placement ()
| setName ( $name)
| setDescription ( $desc)
| setPlacement ( $place)

## Static Public Member Functions
static & | getAll ( $as_object=true)
static & | priceGroups ( $inUser, $as_object=true)
static | correctPriceGroup ( $group_id, $debug=false)
static | lowestPrice ( $productid, $priceid, $optionid)
static | highestPrice ( $productid, $priceid, $optionid)
static | correctPrice ( $productid, $priceid, $optionid=0, $valueid=0)
static | prices ( $productid, $optionid=0, $valueid=0)
static | removePrices ( $productid, $optionid=0, $valueid=0, $priceid='')

## Public Attributes
| $ID
| $Name
| $Description
| $Placement

## Detailed Description

! eZTrade The class eZPriceGroup handles price groups and prices for products and options

Definition at line 37 of file ezpricegroup.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPriceGroup::__construct | ( |  | $id = `false` | ) |

Definition at line 39 of file ezpricegroup.php.

References $id, and fill().

## Member Function Documentation

## ◆ addPrice()

eZPriceGroup::addPrice | ( |  | $productid,
|  |  | $priceid,
|  |  | $price,
|  |  | $optionid = `0`,
|  |  | $valueid = `0`
| ) |  |

Adds a price to a product with the specific option and value id.

Definition at line 473 of file ezpricegroup.php.

References $db, $query, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ addUserGroup()

eZPriceGroup::addUserGroup | ( |  | $group_id,
|  |  | $id = `false`
| ) |  |

Adds a user group to a price group.

Definition at line 205 of file ezpricegroup.php.

References $db, $id, $ID, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ correctPrice()

static eZPriceGroup::correctPrice | ( |  | $productid,
|  |  | $priceid,
|  |  | $optionid = `0`,
|  |  | $valueid = `0`
| ) |  |
| static

Returns the price of a product according to it's price group, option and value type.

Definition at line 414 of file ezpricegroup.php.

References $db, $group, $ini, $ShowPriceGroups, and eZDB\globalDatabase().

Referenced by eZOptionValue\correctPrice(), eZProduct\correctPrice(), eZProduct\correctSavings(), eZOptionValue\correctSavings(), eZCartItem\price(), and eZWishListItem\price().

## ◆ correctPriceGroup()

static eZPriceGroup::correctPriceGroup | ( |  | $group_id,
|  |  | $debug = `false`
| ) |  |
| static

Returns the price group which the user group is connected to or false if none.

Definition at line 240 of file ezpricegroup.php.

References $db, $group, and eZDB\globalDatabase().

## ◆ delete()

eZPriceGroup::delete | ( |  | $id = `false` | ) |

Definition at line 102 of file ezpricegroup.php.

References $db, $id, $ID, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZPriceGroup::description | ( |  | ) |

Returns the description of the group.

Definition at line 535 of file ezpricegroup.php.

References $Description.

## ◆ fill()

eZPriceGroup::fill | ( |  | $array | ) |

Definition at line 115 of file ezpricegroup.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ get()

eZPriceGroup::get | ( |  | $id = `false` | ) |

Definition at line 47 of file ezpricegroup.php.

References $db, $id, $ID, fill(), and eZDB\globalDatabase().

## ◆ getAll()

static& eZPriceGroup::getAll | ( |  | $as_object = `true` | ) |
| static

Returns all product groups from db.

Definition at line 127 of file ezpricegroup.php.

References $db, $ret, $row, and eZDB\globalDatabase().

## ◆ highestPrice()

static eZPriceGroup::highestPrice | ( |  | $productid,
|  |  | $priceid,
|  |  | $optionid
| ) |  |
| static

Definition at line 342 of file ezpricegroup.php.

References $db, $group, $i, $ini, $ret, $ShowPriceGroups, and eZDB\globalDatabase().

Referenced by eZProduct\correctPriceRange().

## ◆ id()

eZPriceGroup::id | ( |  | ) |

Returns the id of the group.

Definition at line 519 of file ezpricegroup.php.

References $ID.

## ◆ lowestPrice()

static eZPriceGroup::lowestPrice | ( |  | $productid,
|  |  | $priceid,
|  |  | $optionid
| ) |  |
| static

Definition at line 273 of file ezpricegroup.php.

References $db, $group, $i, $ini, $ret, $ShowPriceGroups, and eZDB\globalDatabase().

Referenced by eZProduct\correctPriceRange().

## ◆ name()

eZPriceGroup::name | ( |  | ) |

Returns the name of the group.

Definition at line 527 of file ezpricegroup.php.

References $Name.

## ◆ placement()

eZPriceGroup::placement | ( |  | ) |

Returns the placement of the group in the list.

Definition at line 543 of file ezpricegroup.php.

References $Placement.

## ◆ priceGroups()

static& eZPriceGroup::priceGroups | ( |  | $inUser,
|  |  | $as_object = `true`
| ) |  |
| static

Returns all price groups which are connected to a user through the user's user groups.

Definition at line 161 of file ezpricegroup.php.

References $db, $group, $groups, $i, $ret, $row, $user, and eZDB\globalDatabase().

Referenced by eZOptionValue\correctPrice(), eZProduct\correctPrice(), eZProduct\correctPriceRange(), eZProduct\correctSavings(), and eZOptionValue\correctSavings().

## ◆ prices()

static eZPriceGroup::prices | ( |  | $productid,
|  |  | $optionid = `0`,
|  |  | $valueid = `0`
| ) |  |
| static

Returns all prices for a specific product with a specific option and value id.

Definition at line 461 of file ezpricegroup.php.

References $db, and eZDB\globalDatabase().

Referenced by eZProduct\correctPrice(), and eZProduct\correctSavings().

## ◆ removePrices()

static eZPriceGroup::removePrices | ( |  | $productid,
|  |  | $optionid = `0`,
|  |  | $valueid = `0`,
|  |  | $priceid = `''`
| ) |  |
| static

Removes all prices from a product with the specific option and value id.

Definition at line 499 of file ezpricegroup.php.

References $db, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ removeUserGroups()

eZPriceGroup::removeUserGroups | ( |  | $id = `false` | ) |

Removes all user groups from a price group.

Definition at line 226 of file ezpricegroup.php.

References $db, $id, $ID, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ setDescription()

eZPriceGroup::setDescription | ( |  | $desc | ) |

Sets the description of the group.

Definition at line 559 of file ezpricegroup.php.

References $desc.

## ◆ setName()

eZPriceGroup::setName | ( |  | $name | ) |

Sets the name of the group.

Definition at line 551 of file ezpricegroup.php.

References $name, and Name.

## ◆ setPlacement()

eZPriceGroup::setPlacement | ( |  | $place | ) |

Sets the placement of the group in the list.

Definition at line 567 of file ezpricegroup.php.

## ◆ store()

eZPriceGroup::store | ( |  | ) |

Definition at line 57 of file ezpricegroup.php.

References $db, $ret, eZDB\finish(), eZDB\globalDatabase(), and Name.

## ◆ userGroups()

& eZPriceGroup::userGroups | ( |  | $id = `false`,
|  |  | $as_object = `true`
| ) |  |

Returns all user groups which are connected to a specific price group.

Definition at line 143 of file ezpricegroup.php.

References $db, $id, $ID, $ret, $row, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $Description

eZPriceGroup::$Description

Definition at line 574 of file ezpricegroup.php.

Referenced by description().

## ◆ $ID

eZPriceGroup::$ID

Definition at line 572 of file ezpricegroup.php.

Referenced by addUserGroup(), delete(), get(), id(), removeUserGroups(), and userGroups().

## ◆ $Name

eZPriceGroup::$Name

Definition at line 573 of file ezpricegroup.php.

Referenced by name().

## ◆ $Placement

eZPriceGroup::$Placement

Definition at line 575 of file ezpricegroup.php.

Referenced by placement().

The documentation for this class was generated from the following file:

- ezpricegroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.